using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using VirtuosoComponentLibrary;
using CuriosityBoardLibrary;

namespace AnalogGaugeOutput_Host
{
	public class AnalogGaugeOutput_TargetViewModel : AnalogGaugeOutput_TargetModel
	{
		public AnalogGaugeOutput_TargetViewModel()
		{
			InitializeComponents();
		}

		public AnalogGaugeOutput_TargetViewModel (ITargetHostingConfiguration TargetConfiguration) : base(TargetConfiguration)
		{
			InitializeComponents();
		}

		private void InitializeComponents()
		{
			// Add component(s) here....
			_PowerButton = new PowerButtonViewModel(this, "VirtualDeviceIsPowered", LEDTileImage.Tile1, PowerButtonColor.Blue);
            // Initialize the Gauge Control View Model. It will bind to SIM_Knob variable in target
            _GAUGEVM = new GaugeControlViewModel(this, "SIM_ADCVal", 0, 1023, 10, "ADC Value", false);
		}

		private PowerButtonViewModel _PowerButton;
		public PowerButtonViewModel PowerButton
		{
			get
			{
				return _PowerButton;
			}
		}

        private GaugeControlViewModel _GAUGEVM;
        public GaugeControlViewModel GAUGEVM
        {
            get
            {
                return _GAUGEVM;
            }
        }
	}
}
